Bug 247077 - Initscript Review
Initscript Review
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tomcat5 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Devrim GUNDUZ
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InitscriptStatus
  Show dependency treegraph
 
Reported: 2007-07-05 10:00 EDT by Harald Hoyer
Modified: 2008-02-13 00:13 EST (History)
0 users

See Also:
Fixed In Version: 5.5.26-1jpp.2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 23:54:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2007-07-05 10:00:36 EDT
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Devrim GUNDUZ 2008-01-05 07:48:27 EST
Patched init script per this bug. It will appear in next tomcat build.

Regards, Devrim
Comment 2 Fedora Update System 2008-01-06 20:23:38 EST
tomcat5-5.5.25-2jpp.1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tomcat5'
Comment 3 Fedora Update System 2008-01-06 20:28:29 EST
tomcat5-5.5.25-2jpp.1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tomcat5'
Comment 4 Fedora Update System 2008-02-08 19:31:42 EST
tomcat5-5.5.26-1jpp.1.fc7 has been submitted as an update for Fedora 7
Comment 5 Fedora Update System 2008-02-08 19:34:44 EST
tomcat5-5.5.26-1jpp.1.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-02-12 15:31:39 EST
tomcat5-5.5.26-1jpp.2.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-02-12 15:34:00 EST
tomcat5-5.5.26-1jpp.2.fc7 has been submitted as an update for Fedora 7
Comment 8 Fedora Update System 2008-02-12 23:54:16 EST
tomcat5-5.5.26-1jpp.2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-02-13 00:13:40 EST
tomcat5-5.5.26-1jpp.2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.